Bug 25046 - glibc and/or lpr upgrade breaks Netscape printing
glibc and/or lpr upgrade breaks Netscape printing
Product: Red Hat Linux
Classification: Retired
Component: netscape-sparc (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2001-01-26 16:30 EST by Need Real Name
Modified: 2014-03-16 22:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-15 14:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-26 16:30:12 EST
Machine in use is Sparc LX with Netscape 4.51 (apparently no later version
exists for sparc). Before upgrades, printing from within Netscape worked
fine.  After installing the latest upgrade packages for glibc and lpr
(among others), attempt to print dies with the followiing message window
popping up:  

  Netscape: subprocess diagnostics (stdout/stderr)
     lpr: error in loading shared libraries: libBrokenLocale.so.1: cannot
open shared object file:
     No such file or directory

The following files/llinks are in lib:
-rwxr-xr-x    1 root     root        22288 Jan 15 11:14
lrwxrwxrwx    1 root     root           24 Jan 26 14:41
libBrokenLocale.so.1 -> libBrokenLocale-2.1.3.so

The following files/links are in /usr/lib:
-rw-r--r--    1 root     root        17346 Jan 15 11:14 libBrokenLocale.a
lrwxrwxrwx    1 root     root           30 Jan 26 13:32 libBrokenLocale.so
-> /../lib/libBrokenLocale.so.1

Note the symbolic link in /usr/lib/ did not look right, but changing it to
                     ->  ../../lib/libBrokenLocale.so.1
which matched format of similar links made no difference.

Telling netscape to print to a file (netscape.ps) works, and subsequently
manually doing
                          lpr -h -P<printer> netscape.ps 
will print the file successfully.  Also, direct printing appears to work
alright from at least one other application (Electric Eyes).

Packages glibc (glibc-2.1.3-22.sparc.rpm), lpr (lpr-0.50-7.6.x.sparc.rpm),
netscape-common, and netscape-communicator all verify correctly.
Comment 1 Need Real Name 2001-02-09 19:44:50 EST
I'm experiencing the same problem with RHAT 6.2/SPARC on an Ultra-5.  Looks like
the issue is with lpr package supplied on update cdrom.  If I install packages
"manually", omitting lpr, printing continues to work fine in Netscape.

Comment 2 Bill Nottingham 2001-02-09 19:50:56 EST
What happens if you run, from the command line,

LD_PRELOAD=libBrokenLocale.so.1 lpr <some file>?
Comment 3 Need Real Name 2001-02-10 02:31:18 EST
I noted that if I changed /usr/bin/netscape (also
/usr/bin/netscape-communicator) startup scripts starting at line 30 from:

   if [ "$sysname" = "sparc" ]; then
      export LD_PRELOAD=libBrokenLocale.so.1


   if [ "$sysname" = "sparc" ]; then
      export LD_PRELOAD=/lib/libBrokenLocale.so.1

seems to correct the problem.  I'm not a programmer, so I don't know if this
is the fundamental problem or if this just works around it.  At least for me,
printing now works without complaint.
Comment 4 Need Real Name 2001-02-10 02:34:02 EST
To answer the posed question, this is what I get:

leopard:~# LD_PRELOAD=libBrokenLocale.so.1 lpr test 
lpr: error in loading shared libraries: libBrokenLocale.so.1: cannot open shared
object file: No such file or directory

Comment 5 Need Real Name 2001-02-12 10:08:11 EST
I've not tested the posted workaround (LD_PRELOAD=libBrokenLocale.so.1 lpr <some
file>?) because I can't afford to break printing at this point.  For the time
being, I am not installing the lpr update package in order to retain daily

Comment 6 Need Real Name 2001-06-24 14:48:24 EDT
This issue has been listed as 'NEW' since January, despite what may be a simple 
fix for the package.  Also, there has been no release of newer Netscape even
though the current one has known security issues resolved by later versions.

Can we expect these issues to get resolved and to have the latest browser
version released?

Has RedHat given up on Sparc support or what?
Comment 7 Bill Nottingham 2001-06-25 11:03:57 EDT
Um, there *is* no later browser version. If you'll check, no version since
4.51 has been released for sparc linux.

Note You need to log in before you can comment on or make changes to this bug.